Skip to main content
POST
Create a file record and get presigned upload URL

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

sourceId
string<uuid>
required

Body

application/json
filename
string
required
Required string length: 1 - 255
contentType
string
required
Minimum string length: 1
size
integer
required
Required range: -9007199254740991 < x <= 9007199254740991
sheetName
string
Minimum string length: 1

Response

200 - application/json

OK

file
object
required
uploadUrl
string
required